Bug 807281 - NPE when calling export-resource on an invalid navigation node.
NPE when calling export-resource on an invalid navigation node.
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.2.ER01
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 08:33 EDT by Nick Scavelli
Modified: 2015-02-08 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.2.0.ER02
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8738 by hfnukal at 2012-06-22 09:04:56 EDT (show)
8738 by hfnukal at 2012-06-22 09:04:56 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807281 - NPE when calling export-resource on an invalid navigation node.

2 files changed:

  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/main/java/org/exoplatform/portal/mop/management/operations/navigation/FilteredNavigationExportResource.java (+5 / -0)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/main/java/org/exoplatform/portal/mop/management/operations/navigation/NavigationExportResource.java (+8 / -1)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2071 Minor Resolved NPE when calling export-resource on an invalid navigation node. 2012-08-31 11:03:27 EDT

  None (edit)
Description Nick Scavelli 2012-03-27 08:33:53 EDT
Description of problem:
NullPointerException is thrown when trying to export an invalid navigation node (one that doesn't exist)

Version-Release number of selected component (if applicable):
5.2.0

How reproducible:
Everytime

Steps to Reproduce:
1. Export (either through CLI or REST) a navigation node that doesn't exist.
2.
3.
  
Actual results:
NPE thrown

Expected results:
ResourceNotFoundException thrown and 404 returned to REST client and CLI error indicating resource doesn't exist.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.